Subject: Re: What's in git.git (stable frozen)

From: Junio C Hamano <[email-masked]>
Date: Sun, 06 Jan 2008 02:51:24 -0800

Jeff King <[email-masked]> writes:

> This is a little uglier than it could be because the "colored" function
> does two things: correctly colorize a string, and check the global
> $use_color.

That fallout is a logical consequence of the semantics change of
color.interactive, which used to color the whole user experience
but now only covers about menus and stuff.  $use_color is still
tied to the former semantics.

It may make more sense to:

 * unset $prompt_color and friends when color.interactive says
   "not to color the menus";

 * unset $fraginfo_color and diff related ones when color.diff
   says "diff is monochrome";

upfront, and then change "sub colored" to just check if $color
is unset, instead of checking $use_color.